<?php
/**
 * Random image with light box
 *
 * @package 	Random image with light box
 * @subpackage 	Random image with light box
 * @version   	3.3
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/09/random-image-display-with-light-box-joomla-module/
 * 
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).'/helper.php');

$folder	= modRandomImageWithLightBox::getFolder($params);
$images	= modRandomImageWithLightBox::getImages($params, $folder);

if (!count($images)) 
{
	echo JText::_('Image not exist in the folder "' . $folder . '"<br><br>');
	return;
}

require JModuleHelper::getLayoutPath('mod_random_image_with_light_box', $params->get('layout', 'default'));
modRandomImageWithLightBox::loadScripts($params);
?>